## GwyDataViewLayer

GwyDataViewLayer — Layer GwyDataView is composed of

## Functions

void | gwy_data_view_layer_set_parent ()
GtkWidget * | gwy_data_view_layer_get_parent ()
void | gwy_data_view_layer_updated ()

## Signals

void | plugged | Run First
void | unplugged | Run First
void | updated | Run First

## Types and Values

| GwyDataViewLayerClassPrivate
struct | GwyDataViewLayer
struct | GwyDataViewLayerClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GwyDataViewLayer
                ╰── GwyVectorLayer

## Includes

    #include <libgwyui/gwyui.h>

## Description

GwyDataViewLayer's are parts of GwyDataView. They are not widgets and they are not normally usable outside of a data view.

## Functions

### gwy_data_view_layer_set_parent()

    void
    gwy_data_view_layer_set_parent (GwyDataViewLayer *layer,
                                    GtkWidget *parent);

Sets or unsets the parent widget of a data view layer.

#### Parameters

layer | A data view layer. |
parent | Parent widget, currently restricted to GwyDataView, or `NULL`. |

### gwy_data_view_layer_get_parent()

    GtkWidget *
    gwy_data_view_layer_get_parent (GwyDataViewLayer *layer);

Gets the parent widget of a data view layer.

#### Parameters

layer | A data view layer. |

#### Returns

The parent widget, of `NULL` if there is none.

### gwy_data_view_layer_updated()

    void
    gwy_data_view_layer_updated (GwyDataViewLayer *layer);

Emits a "updated" singal on a layer.

#### Parameters

layer | A data view layer. |

## Types and Values

### GwyDataViewLayerClassPrivate

    typedef struct _GwyDataViewLayerClassPrivate GwyDataViewLayerClassPrivate;

### struct GwyDataViewLayer

    struct GwyDataViewLayer;

### struct GwyDataViewLayerClass

    struct GwyDataViewLayerClass {
        GInitiallyUnownedClass parent_class;
        GwyDataViewLayerClassPrivate *priv;

        /* Signals */
        void (*plugged)(GwyDataViewLayer *layer);
        void (*unplugged)(GwyDataViewLayer *layer);
        void (*updated)(GwyDataViewLayer *layer);
    };

## Signal Details

### The `“plugged”` signal

    void
    user_function (GwyDataViewLayer *gwydataviewlayer,
                   gpointer          user_data)

The ::plugged signal is emitted when a GwyDataViewLayer is plugged into a GwyDataView.

#### Parameters

gwydataviewlayer | The GwyDataViewLayer which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First

### The `“unplugged”` signal

    void
    user_function (GwyDataViewLayer *gwydataviewlayer,
                   gpointer          user_data)

The ::unplugged signal is emitted when a GwyDataViewLayer is removed from its GwyDataView.

#### Parameters

gwydataviewlayer | The GwyDataViewLayer which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First

### The `“updated”` signal

    void
    user_function (GwyDataViewLayer *gwydataviewlayer,
                   gpointer          user_data)

The ::updated signal is emitted when a GwyDataViewLayer is updated; the exact means how a layer can be updated depends its type.

#### Parameters

gwydataviewlayer | The GwyDataViewLayer which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First

## See Also

GwyDataView -- data display widget,

pixbuf-render --

low level functions for painting data fields,